/*
 * It is advised not to edit the smartadmin_production.css
 * as this will override any changes you make in the 
 * later versions of this theme. 
 * 
 * We advise that you use use this CSS to override 
 * SmartAdmin styles. 
 * 
 * Rename the stylesheet to whatever your liking so it will stay
 * unique to you with each update of SmartAdmin.
 */

/*
 * INDEX
 * 
 * - HTML
 * - BODY
 * - CUSTOM STYLES
 */

html {
	background: #FFF;
}
 
body {
	padding: 0px !important;
	background: #FFF;
}
/* size for the content area */
#content.contentMain {
	position: absolute;
	left: 0px;
	right: 0px;
	top: 39px;
	bottom: 0px;
	border-top: 1px solid #1A1817;
	padding: 0px;
	min-height: 200px;
}

#content .contentInner {
	padding: 5px;
}

#content .contentInner.contentInnerList {
	padding-bottom: 0px;
}

/* this fixes an issue that listbox loads too many items during initial load */
#content .contentInner.contentInnerList .z-listbox-body {
	max-height: 100vh;
}

/* small padding between z-panels */
#content .contentInner > div.z-panel {
    padding-bottom: 8px;
}

#content .contentInner > div.z-panel:last-child {
    padding-bottom: 0px;
}

#content .listViewPagingBar {
	padding: 0px 5px 5px 5px;
}

/* ribbon / breadcrumbs */
#ribbon {
 	min-height: 39px;
 	height: 39px;
}

#ribbon #activeTabDropdown {
	float: left;
}

@media (max-width:767px){
	#ribbon {
		white-space: nowrap;
	}
	.project-context {
		padding-left: 5px;
		padding-right: 0px;
	}
	#ribbon #breadcrumbs-holder {
		overflow: hidden;
	}
	#breadcrumbs > li:nth-last-child(n+2) {
		max-width: 40px;
	}
	#breadcrumbs > li:nth-last-child(-n+2) {
		max-width: 120px;
	}
	#breadcrumbs > li:last-child {
		max-width: none;
	}
	#breadcrumbs > li {
		overflow: hidden;
		text-overflow: ellipsis;
	}
	#ribbon #breadcrumbs-holder #breadcrumbs {
		padding-right: 5px !important;
		padding-bottom: 5px !important;
	}
}
 
.minified .smartadmin-main {
	position: absolute;
	left: 45px;
	margin-left: 0px;
}

.hidden-menu .smartadmin-main {
	position: absolute;
	left: 10px;
	margin-left: 0px;
}

.mobile-view-activated .hidden-menu .smartadmin-main {
	position: absolute;
	left: 220px;
	margin-left: 0px;
}

.smartadmin-main {
 	/* 39: ribbon; 52: footer = 91px */
 	/*
 	padding-bottom: 91px;
	overflow: hidden;
	*/
	position: absolute;
	right: 0px;
	left: 220px;
	margin: 0px;
	top: 49px; /* header */
	bottom: 52px; /* footer */
	padding-bottom: 0px;
	min-height: 100px;
}

#extr-page #main.smartadmin-main {
	position: absolute;
	right: 0px;
	top: 70px; /* header */
	bottom: 52px; /* footer */
	padding-bottom: 0px;
	margin: 0px;
	min-height: 100px;
	overflow: auto;
}


@media (max-width:979px){ 
	.smartadmin-main {
		left: 0px;
	}
	.hidden-menu .smartadmin-main {
		left: 0px;
	}
}

.sa-auditRevisionNotification {
	display: block;
	background-color: red;
	width: 100%;
	height: 30px;
	text-align: center;
	font-weight: bold;
	padding-top: 5px;
}

/* audit revision history bar */
.sa-auditRevisionNotification {
	display: block;
	background-color: red;
	width: 100%;
	height: 30px;
	text-align: center;
	font-weight: bold;
	padding-top: 5px;
}
.sa-auditRevisionNotification > span.z-icon-history {
	float: left;
	display: inline-block;
	font-size: 14px;
	padding-left: 5px;
}
.sa-auditRevisionNotification > .z-toolbarbutton {
	float: right; 
	display: inline-block;
	margin-right: 5px;
}

.sa-auditRevisionNotificationActive .contentInnerNGWithToolbar {
	top: 70px;
}

/* main inner content */

.contentInnerNGWithToolbar {
	position: absolute;
	top: 40px;
	left: 0px;
	bottom: 0px;
	right: 0px;
	overflow: auto;
}
/* popup sub window in a floating window */
.saSubWindow {
	
}

.saSubWindow > .z-window-content {
	padding-bottom: 45px;	
}

.saSubWindow > .z-window-content > .saSubWindowContent {
	overflow: auto;
	width: 100%;
	height: 100%;
}

/* main inner content in a floating window */

.saFloatingWindow {
	overflow: auto;
	padding-top: 40px;
}

.saFloatingWindow .sa-toolbar-main {
	margin-top: -40px;
}

.saFloatingWindow .contentInnerNGWithToolbar {
	position: relative;
	top: 0px;
	overflow: visible;
	height: 100%;
}

table.dataTable.nowrap > thead > tr > th,  table.dataTable.nowrap > tbody > tr > td{
	white-space: nowrap;
}

td.dataTables_empty {
	color: red;
}

.dataTables_scrollBody > table.dataTable > thead > tr > th {
	padding-top: 0px !important;
	padding-bottom: 0px !important;
	border-top-width: 0px;
	border-bottom-width: 0px;
	height: 0px;
}

/* dataTables bottom bar */
.dataTables_bottom {
	display: row;
	height: 33px;
}
.dataTables_bottom:before, .dataTables_bottom:after {
	display: table;
	content: "";	
}
.dataTables_bottom:after {
	clear: both;
}

.dataTables_bottom .dataTables_info {
	float: left;
}

.dataTables_bottom .dataTables_length {
	float: right;
}

.dataTables_bottom .dataTables_length label {
	margin: 2px 10px;
}

.dataTables_bottom .dataTables_length label select {
	height: 29px;
}

.dataTables_bottom .dataTables_paginate {
	float: right;
}

.dataTables_bottom button.ColVis_Button {
	height: 29px;
	margin: 2px;
}

/* @media (min-width:768px) and (max-width:979px){ */
@media (max-width:979px){
	.dataTables_bottom .dataTables_info {
		display: none;
	}
	
	.dataTables_bottom .dataTables_length {
		display: none;
	}
	.dataTables_bottom div.ColVis {
		float: left;
	}
	.dataTables_bottom div.ColVis button span {
		display: inline-block;
		width: 10px;
		color: transparent;
	}
	.dataTables_bottom div.ColVis button span:before {
		font-family: FontAwesome;
		font-weight: normal;
		font-style: normal;
		color: black;
		content: "\f013";
	}
}


/* we don't like margins... */
table.dataTable {
	margin-top: 0px !important;
	margin-bottom: 0px !important;
}
/* overwrite other rule for odd selected rows */
table.dataTable tr.DTTT_selected.odd td {
  background-color: #9FAFD1;
}

ul.ColVis_collection {
	width: auto;
}

.page-footer {
	position: fixed;
}

#disabled #extr-page .page-footer {
	position: fixed;
	/* sticky alinment - better for mobile devices, but does not work on android and chrome: http://caniuse.com/css-sticky */
	position: -webkit-sticky;
	position: sticky;
}

@media (max-height:400px){
	/* hide footer & remove padding from main */
	.page-footer {
		display: none;
	}
	#main.smartadmin-main, #extr-page #main.smartadmin-main {
		bottom: 0px;
		padding-bottom: 0px;
		min-height: 150px;
	}
}

#extr-page .smartadmin-main {
	height: auto;
	left: 0px;
}

@media (max-width:767px)  {
	#extr-page .smartadmin-main {
		top: 0px;
	}
}

#extr-page .hero {
	background-image: none;
}

#extr-page .page-footer {
	padding-left: 13px;
}

#project-context > :first-child, .project-context > :first-child {
    color: #BBB;
    text-shadow: none;
    font-size: 11px;
    font-weight: 400;
}
 
/* @media (min-width:768px) and (max-width:979px){ */
/*
@media (max-width:979px){
	#content {
	 	padding-left: 9px; 
	}
}
 .minified #content {
 	padding-left: 50px;
 }
 
.hidden-menu #content {
	padding-left: 20px; 
}
*/

#header #logo .fa:before {
	font-size: 28px;
}
#header #logo #logo-title {
	display: inline-block;
	position: relative;
	top: -4px;
	margin-left: 5px;	
}

/* editextensiondialogs: no padding for embedded windows */
div.z-panelchildren > div.z-window-embedded > div.z-window-content {
	padding: 0px;
} 

div.z-window-embedded.z-window-embedded-as-div > div.z-window-content {
	padding: 0px;
} 

/* fixes an issue with lines not matching when table cols are hidden */
.z-listbox-header col[style*="visibility: hidden"] {
    display: none;
}

.z-listhead th[style*="visibility: hidden"] {
    display: none;
}

/* 15 px margin for sorter only on first line */
/* TODO fuer 9.0 - wie bekommen wir die textboxen bei sorted / unsorted listen identisch...
.z-listheader-sort div.z-listheader-content {
	padding-right: 0px;
}
.z-listheader-sort div.z-listheader-content:first-line {
	padding-right: 15px;
}
.z-listheader-sort div.z-listheader-content span {
	display: inline-block;
	margin-right: 15px;
}
*/


/* sa- styles */
div.smartadmin-mainTabs > div.z-tabpanels > div.z-tabpanel {
	border: 0px;
}

#content .sa-contentwin {
	padding: 0px;
}

/* first inner window of a tab */
.sa-contentwin > div {
	padding: 0px;
}

/* paddings in main content view */
.sa-contentwin > div > .z-borderlayout > div > .z-center {
	padding: 8px 10px 0px 10px;
	border: 0px;
}

.sa-contentwin > div > .editDialogWithBorder > div > .z-center {
	padding-bottom: 8px;
}

.sa-contentwin > div > .z-borderlayout > div > .z-south {
	padding: 0px 10px 8px 10px;
	border: 0px;
}

.sa-contentwin > div > .editDialogWithBorder > div > .z-center > div > .z-div > .z-panel {
	margin-top: 8px;
}

.sa-contentwin > div > .editDialogWithBorder > div > .z-center > div > .z-div > .z-panel:first-child {
	margin-top: 0px;
}

div.sa-customTabEntry > div {
	padding: 8px 10px;
}

div.sa-toolbar-main div.sa-toolbar {
	padding: 0px;
	padding-left: 13px;
	border: 0px;
	border-top: 1px solid #525151;
	min-height: 40px;
	background: none repeat scroll 0% 0% #474544;
	whitespace: nowrap;	
}

div.sa-toolbar-main div.sa-toolbar a:hover {
	background: transparent;
	border-color: transparent;
	color: #333;
}

div.sa-toolbar-main div.sa-toolbar .z-toolbarbutton-content:hover, div.sa-toolbar-main div.sa-toolbar .z-menu-content:hover {
    background-color: #858585;
    background-image: linear-gradient(to bottom, #858585, #888);
}

div.sa-toolbar-main {
	border: 0px;
}

.sa-toolbar a.sa-menubtn[disabled] {
	color:#aaa;
	cursor:default;
	text-decoration:none;
}

 

div.sa-toolbar a, div.sa-toolbar a:visited, div.sa-toolbar a:active {
    height: 20px;
	background-color: transparent;
	background: transparent;
	font-size: 14px;
	color: #fff;
	text-align: center;
	display:inline-block;
	position:relative;
	cursor:pointer;
	margin: 1px 1px 0px 0px;
	padding:0px;
	line-height:14px;
	border:1px solid transparent;
	-moz-border-radius:	 3px;
	border-radius:	3px;
    min-height: 20px; /* overwrite needed  for z-menu */
}

div.sa-toolbar a:hover {
	border-color:#8fb9d0;	
	background:	linear-gradient(to bottom, #f2f9fe 0%, #d6f0fd 100%); /* W3C */
	background:	-moz-linear-gradient(top, #f2f9fe 0%, #d6f0fd 100%); /* FF3.6+ */
	text-decoration:none;
}

div.sa-toolbar > div.z-toolbar-content {
	width: 100%;
}

/* main toolbar  overrides */

div.sa-toolbar-main div.sa-toolbar span.z-toolbarbutton-content, div.sa-toolbar-main div.sa-toolbar a.z-menu-content {
    background-color: #707070;
    background-image: linear-gradient(to bottom, #777, #666);
    background-repeat: repeat-x;
    color: #fff;
    padding: 0px 5px;
    line-height: 20px;
    vertical-align: middle;
    height: 20px;
    display: block;
    border: medium none;
    float: left;
    cursor: pointer;
	-moz-border-radius:	 3px;
	border-radius:	3px;
    box-shadow: 0px -2px 0px rgba(0, 0, 0, 0.05) inset;
    min-width: 21px;	/* z-icon-mobile */
    vertical-align: top;
    top: 6px;
}

div.sa-toolbar-main .sa-toolbar .z-toolbarbutton[disabled], div.sa-toolbar-main .sa-toolbar .z-menu.disabled, div.sa-toolbar-main .sa-toolbar .z-menu[disabled] {
    color: #AAAAAA !important;
    opacity: 0.2;
    pointer-events:none;
}
div.sa-toolbar-main .sa-toolbar .z-menu.disabled a, div.sa-toolbar-main .sa-toolbar .z-menu[disabled] a {
    pointer-events:none;
}

div.sa-toolbar-main .sa-toolbar [class^="z-icon-"]:before, div.sa-toolbar-main .sa-toolbar [class*=" z-icon-"]:before,
div.sa-toolbar-main .sa-toolbar [class^="saBase-icon-"]:before, div.sa-toolbar-main .sa-toolbar [class*=" saBase-icon-"]:before,
div.sa-toolbar-main .sa-toolbar [class^="eBefundNG-icon-"]:before, div.sa-toolbar-main .sa-toolbar [class*=" eBefundNG-icon-"]:before  {
	font-size: 14px;
}

div.sa-toolbar span.z-toolbarbutton-content {
	font-size: 14px;
	padding: 3px;
}

/**************************
 * menu in toolbar
 **************************/

div.sa-toolbar-main div.z-menubar {
	display: inline-block;
	vertical-align: top;
	top: 7px;
}

div.sa-toolbar z-menubar a.z-menu-content, div.sa-toolbar a:visited, div.sa-toolbar a:active {
	text-align: center;
	position:relative;
}

/* main toolbar  overrides */
div.sa-toolbar-main div.sa-toolbar a.z-menu-content {
	top: 0px;
}

.sa-menu-nodropdown div.z-menu-separator, .sa-menu-nodropdown.z-menu:hover div.z-menu-separator, .sa-menu-nodropdown i.z-menu-icon {
/* needs to be visible because onClick-method decides on mouse click <> separator position if we open the dropdown or fire the onClick event */
	color: transparent;
	background: transparent;
	right: 0px;
}
.sa-menu-nodropdown i.z-menu-icon {
	display: none;
}

div.sa-toolbar-main  i.z-menu-icon {
	color: #aaa;
	background: transparent;
}

div.sa-toolbar-main  i.z-menu-icon:hover {
	color: #fff;
	background: transparent;
}

div.sa-toolbar-main div.z-menu-separator {
	background-color: #aaa;
}

div.sa-toolbar-main  span.z-menu-text {
	margin-left: 0px;
}

.sa-menu-nodropdown span.z-menu-text {
	margin-right: 0px;
}

.sa-nodestate {
	display: inline-block;
	margin-right: 5px;
	margin-top: 16px;
}

/* keine Mindest-Hoehe in der Navigation */
.minified nav > ul > li > ul {
	min-height: 0px;
}
/* navigiaton: scrolling y  solange nicht minimized*/

body:not(.minified) nav {
	overflow-y: auto;
	max-height: 80vh;
}

@media only screen {
	nav ul li.active>a:before {
	    width: 8px;
	    right: 0px;
	}
}

@media (max-width:679px) {

	.sa-nodestate .sa-nodestate-this {
		display: none;
	}
}


/* standard toolbar  */

.sa-toolbar {
	position: relative;
	padding: 8px 13px;
}
.sa-toolbar .z-toolbarbutton[disabled] {
    color: #AAAAAA !important;
}

.sa-toolbar a.sa-menubtn[disabled]:hover {
	background: transparent;
	cursor:default;
	border:1px solid transparent;
	text-decoration:none;
}

div.sa-toolbar .sa-toolbar-separator {
	background-position: center top;
	background-repeat: repeat-y;
	display: inline-block;
	height: 27px;
	margin-right: 6px;
	width: 4px;
}

.sa-toolbar-start {
	clear: none;
	float: left;
	width: 100%;
}

.sa-toolbar-body {
	margin-left: 2px;
	margin-right: 2px;
	width: 100%;
	vertical-align: top;
	font-size: 11px;
}

.sa-toolbar-search {
	margin-right: 0px; 
	width: 270px; 
	position: absolute; 
	right: 0px; 
	top: 2px;
}

.sa-toolbar-search .z-textbox {
	padding: 0px 5px;
	float: right;
	margin-right: 8px;
}

.sa-toolbar-search-label { 
	color: #BBB;
	text-align: right;
	display: inline-block;
	padding-right: 8px; 
	padding-top: 6px;
	float: right;
}


.sa-sub-header {
	font-weight: 300;
	float: right;
	font-style: italic;
	margin: 10px 20px 10px 0px;
}

/* small textbox */
.sa-textbox-small {
	padding: 2px 10px;
	min-height: 20px;
}

.sa-small.z-intbox, .sa-small.z-textbox, .sa-small.z-doublebox {
	padding: 2px 2px;
	min-height: 24px;
}

.sa-small.z-combobox, .sa-small.z-datebox, .sa-small.z-timebox, .sa-small.z-spinner {
	min-height: 24px;
}

.sa-small.z-combobox .z-combobox-input, .sa-small.z-datebox .z-datebox-input, .sa-small.z-timebox .z-timebox-input, .sa-small.z-spinner .z-spinner-input {
	padding: 2px 2px;
	height: 24px;
}

.sa-small.z-combobox .z-combobox-button, .sa-small.z-datebox .z-datebox-button, .sa-small.z-timebox .z-timebox-button, .sa-small.z-spinner .z-spinner-button {
	width: 22px;
	height: 24px;
}
.sa-small.z-combobox .z-combobox-button .z-combobox-icon, .sa-small.z-datebox .z-datebox-button .z-datebox-icon {
	width: 20px;
	line-height: 22px;
}

.sa-small.z-timebox .z-timebox-button .z-timebox-icon, .sa-small.z-spinner .z-spinner-button .z-spinner-icon {
	width: 20px;
	line-height: 10px;
	height: 10px;
	margin-top: -2px;
}
.sa-small.z-timebox .z-timebox-button .z-timebox-icon.z-timebox-up, .sa-small.z-spinner .z-spinner-button .z-spinner-icon.z-spinner-up {
	height: 13px;
}

.sa-link {
	color:  #0000FF;
	cursor: pointer;
}

.sa-link:hover {
	color:  #0000FF;
	cursor: pointer;
	text-decoration:underline;
}

.sa-listbox-no-scrolling-x > .z-listbox-body {
	overflow-x: hidden !important;
}

.sa-embedded-dropdown {
	padding: 0px 0px;
	border: 0px;
	background: none;
}

.sa-embedded-dropdown .z-menu-body .z-menu-inner-m .z-menu-btn {
	padding-right: 0px;
}

.sa-embedded-dropdown .z-menu-space {
	width: 0px;
}

.sa-nopadding {
	padding: 0px;
}

.sa-text-dim {
	color: #777777;
}

.sa-text-dim input {
	color: #777777;
}

.sa-ci-name {
	color: #707072;
	font-weight: bold;
}
	
.sa-ci-highlite {
	color: #6CE31C;
	font-weight: bold; 
}

/************************************************
	adopt z-tabs... to smartadmin tabs style 
 ************************************************/
/*
.z-tabs-content > li {
	float: left;
	background: #ffffff;
	display: block;
	position: relative;
	
}

.z-tabbox-top > .z-tabs .z-tabs-content {
	border: 1px solid #ddd;
}

.z-tabbox-top > .z-tab .z-tabs .z-tab-selected {
	box-shadow: none;
}

.z-tabs-content {
	border-top: 1px;
	border-color: #ddd;
}

.z-tabs-content > li > a > span {
	color: #333;
	border-radius: 0;
	
	
}
	
.z-tabs-content > li > a {
	display: block;
	padding: 9px 10px 10px;
	position: relative;
	line-height: 1.42857;
	margin-right: 2px;
}

.z-tabs-content > li.z-tab-selected {
	margin-bottom: -1px;
	border-top-width: 0  !important;
	box-shadow: 0 -2px 0 #57889c;
	font-weight: 700;
	margin-top: 1px  !important;
}

.z-tabs-content > li.z-tab {
}

.z-tab-selected .z-tab-text {
	color: #555;
	font-weight: 700;
}
*/

/************************************************
	special overrides 
 ************************************************/
/* checkbox itself: nowrap to keep checkbox and label in same line */
.z-checkbox {
	white-space: nowrap;
}

/* chrome scrolling issue with listViewROD: https://github.com/angular-ui/ui-scroll/issues/138#issuecomment-278989966 */
.z-listbox-body {
	overflow-anchor: none;
}

/* radio button: fix alignment to label */
.z-checkbox input[type="checkbox"], .z-radio input[type="radio"] {
	vertical-align: middle;
	margin: 2px 5px 0px 0px;
}
/* checkbox text */
.z-checkbox label.z-checkbox-content {
	margin-left: 0px;
	vertical-align: middle;
	margin-bottom: 0px;
	white-space: normal;
	padding-right: 20px;
}

/* icon position on popup menu - specially for finding list / visible tab selection */
.z-menupopup .z-menuitem-content > .z-menuitem-icon {
	left: 5px;
	top: 3px;
}

/* overwrite with secadm color */
.txt-color-orangeDark {
	color: #6CE31C !important;
}

.txt-color-secadm-green {
	color: #6CE31C !important;
}

/* drop-upload */
div.sa-dropupload {
	background-color: rgba(200, 200, 200, 0.5);
	margin: 0px;
	padding: 5px;
	border: 3px dashed rgb(180, 180, 180);
	border-radius: 10px;
}

.sa-dropupload > div {
	font-size: 150%;
	font-weight: bold;
	text-align: center;
	position: absolute;
	top: 50%;
	margin-top: -1em;
	width: 100%;
}

/* z-group - grid grouping - very spacey */

span.z-group-icon {
	height: auto;
}

div.z-group-content, divdiv.z-groupfoot-content, div.z-footer-content {
	line-height: normal;
}

/* listbox in conflictResolution.zul has paging float to right - this fixes it */
div.z-listbox-paging-bottom div.z-paging {
	text-align: left;
}

#webSocketState {
 	transition: transform .2s; /* Animation */
 	position: absolute;
 	margin-left: 3px;
}

#webSocketState:hover {
	transform: scale(1.5); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
	display: box;
	font-size: 30px;
	margin-top: -22px;
	color: #ffffff;
 	transition: transform .2s; /* Animation */
}

/* CSS adaptions for menu button on the left */

#header {
 padding:0 13px 0 13px;
}

body.minified>#left-panel>#logo {
	display: none !important;
}

@media (max-width:767px) {
	#header {
		padding-right: 5px;
		padding-left: 5px;
	}
}

/* Input fields contrast fix for Safari v14 */
textarea.z-textbox[disabled], input.z-textbox[disabled], input.z-decimalbox[disabled], input.z-intbox[disabled], input.z-longbox[disabled], input.z-doublebox[disabled] {
	color: #999 !important;
}

span.z-combobox-disabled *, span.z-bandbox-disabled *, span.z-datebox-disabled *, span.z-timebox-disabled *, span.z-spinner-disabled *, span.z-doublespinner-disabled * {
	color: #999 !important;
}
